import { EventedStream } from './types';
export declare abstract class RenamableError extends Error {
    readonly name: string;
    protected abstract getName(): string;
    constructor(message: string);
}
export declare abstract class InternalStreamError<Chunk> extends RenamableError {
    readonly stream: EventedStream<Chunk, any>;
    readonly error: any;
    constructor(stream: EventedStream<Chunk, any>, error: any);
}
export declare class StdOutError<Chunk> extends InternalStreamError<Chunk> {
    protected getName(): string;
}
export declare class StdErrError<Chunk> extends InternalStreamError<Chunk> {
    protected getName(): string;
}
