"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class RenamableError extends Error {
    constructor(message) {
        super(message);
        this.name = this.getName();
    }
}
exports.RenamableError = RenamableError;
class InternalStreamError extends RenamableError {
    constructor(stream, error) {
        super(String(error));
        this.stream = stream;
        this.error = error;
    }
}
exports.InternalStreamError = InternalStreamError;
class StdOutError extends InternalStreamError {
    getName() {
        return 'StdOutError';
    }
}
exports.StdOutError = StdOutError;
class StdErrError extends InternalStreamError {
    getName() {
        return 'StdErrError';
    }
}
exports.StdErrError = StdErrError;
//# sourceMappingURL=error-classes.js.map