"use strict";
const tslib_1 = require("tslib");
const special_character_1 = tslib_1.__importDefault(require("../utils/special-character"));
const lines_1 = tslib_1.__importDefault(require("./lines"));
const { EndOfLine } = special_character_1.default;
async function write(writable, splitter) {
    var e_1, _a;
    let mkline = (line) => {
        mkline = line => [EndOfLine, ...line]; // non-first lines have leading eol
        return [...line]; // first line has no leading eol
    };
    try {
        for (var _b = tslib_1.__asyncValues(lines_1.default(splitter)), _c; _c = await _b.next(), !_c.done;) {
            const line = _c.value;
            writable.write(Buffer.from(mkline(line)));
        }
    }
    catch (e_1_1) { e_1 = { error: e_1_1 }; }
    finally {
        try {
            if (_c && !_c.done && (_a = _b.return)) await _a.call(_b);
        }
        finally { if (e_1) throw e_1.error; }
    }
}
module.exports = write;
//# sourceMappingURL=write.js.map